%define	name kino-plugins
%define	version	1.0
%define	release	1mdk
%define	Summary	Plugins for the Kino Video Editor

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://heanet.dl.sourceforge.net/kino/timfx-0.2.2.tar.bz2
Source1:	http://heanet.dl.sourceforge.net/kino/kino-timfx-lumas.tar.gz
Source2:	http://heanet.dl.sourceforge.net/dvtitler/dvtitler-0.1.1.tar.bz2
Source3:    http://http.us.debian.org/debian/pool/main/k/kinoplus/kinoplus_0.3.4.orig.tar.bz2
Patch0:     timfx-luma-set-useful-homedir.patch.bz2
License:	GPL
Group:		Video
URL:		http://kino.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kino-devel libgnome2-devel libgnomeui2-devel gtkmm2.4-devel libgnome32-devel
Requires: kino smilutils

%description
This package provides additional audio/video effects to Kino.


From timfx:

- Image Filter: Color Hold: removes all chroma from images exept for a
  single color that you designate (you may recall the little girl in red
  from the otherwise black-and-white film Schindler's List)

- Image Filter: Blur: efficiently blurs your video with control over the
  blur radius

- Image Filter: Soft Focus: can make your source footage dreamlike /
  romantic - you can put away those pantyhose!

- Image Filter: Blur (OpenGL)

- Image Transition: Image Luma: creates a limitless variety of high
  quality (interlaced) soft wipes based on the luma in images you supply

- Image Transition: Corner Out (OpenGL): experimental DVE transition
  implemented in OpenGL


From dvtitler:

- Image Filter: DV Titler: add text strings


From kinoplus:

- Image Create: Multiple Image Import: load a directory containing images
  as a scene in your project

- Image Filter: Jerk: jerks the images by duplicating and dropping

- Image Filter: ImageMagick Titler

- Image Filter: ImageMagick Overlay: Redundant still image overlay

- Image Filter: Pixelate

- Image Filter: Charcoal: Vaguely reminiscent of 80s pop videos from Aha
  and Dire Straits

- Image Filter: Pan and Zoom: pan and zoom around the video - key frame
  definition and usage is similar to the Tweenies

- Image Filter: Colour Average

- Image Filter: Gamma

- Image Filter: Effect TV

- Image Filter: Pipe Filter

- Image Transition: Chroma key on blue: Place holder for Mads chroma key
  transition

- Image Transition: Tweenies: various kinds of fly in and out transitions

- Audio Filter: FFMPEG Dub

%prep
%setup -q -c -a 2 -a 3
cd timfx-0.2.2
%patch0
perl -pi -e 's|\@LUMA_HOMEDIR\@|%{_datadir}/kino/effects/lumas/|' image_luma.cc
cd ..

%build
cd timfx-0.2.2
%configure2_5x
%make
cd ..

cd dvtitler-0.1.1
%configure2_5x
%make
cd ..

cd kinoplus-0.3.4
%configure2_5x
%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

cd timfx-0.2.2
%makeinstall_std
# Extract sample luma maps
mkdir -p %{buildroot}/%{_datadir}/kino/effects
tar -xz -C %{buildroot}/%{_datadir}/kino/effects -f %{SOURCE1}
cd ..

cd dvtitler-0.1.1
%makeinstall_std
cd ..

cd kinoplus-0.3.4
%makeinstall_std
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/kino*/*
%{_datadir}/kino/effects

%changelog
* Sun Feb  6 2005 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- first mdk package
